Package com.pixelmed.network

## Class MessageServiceElementCommand

- java.lang.Object
- - com.pixelmed.network.MessageServiceElementCommand

-     public class MessageServiceElementCommand
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `C_CANCEL_RQ` |
    `static int` | `C_ECHO_RQ` |
    `static int` | `C_ECHO_RSP` |
    `static int` | `C_FIND_RQ` |
    `static int` | `C_FIND_RSP` |
    `static int` | `C_GET_RQ` |
    `static int` | `C_GET_RSP` |
    `static int` | `C_MOVE_RQ` |
    `static int` | `C_MOVE_RSP` |
    `static int` | `C_STORE_RQ` |
    `static int` | `C_STORE_RSP` |
    `static int` | `N_ACTION_RQ` |
    `static int` | `N_ACTION_RSP` |
    `static int` | `N_CREATE_RQ` |
    `static int` | `N_CREATE_RSP` |
    `static int` | `N_DELETE_RQ` |
    `static int` | `N_DELETE_RSP` |
    `static int` | `N_EVENT_REPORT_RQ` |
    `static int` | `N_EVENT_REPORT_RSP` |
    `static int` | `N_GET_RQ` |
    `static int` | `N_GET_RSP` |
    `static int` | `N_SET_RQ` |
    `static int` | `N_SET_RSP` |
    `static int` | `NOCOMMAND` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessageServiceElementCommand()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `toString​(int command)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NOCOMMAND

          public static final int NOCOMMAND

      See Also:
        Constant Field Values

    - #### C_STORE_RQ

          public static final int C_STORE_RQ

      See Also:
        Constant Field Values

    - #### C_STORE_RSP

          public static final int C_STORE_RSP

      See Also:
        Constant Field Values

    - #### C_GET_RQ

          public static final int C_GET_RQ

      See Also:
        Constant Field Values

    - #### C_GET_RSP

          public static final int C_GET_RSP

      See Also:
        Constant Field Values

    - #### C_FIND_RQ

          public static final int C_FIND_RQ

      See Also:
        Constant Field Values

    - #### C_FIND_RSP

          public static final int C_FIND_RSP

      See Also:
        Constant Field Values

    - #### C_MOVE_RQ

          public static final int C_MOVE_RQ

      See Also:
        Constant Field Values

    - #### C_MOVE_RSP

          public static final int C_MOVE_RSP

      See Also:
        Constant Field Values

    - #### C_ECHO_RQ

          public static final int C_ECHO_RQ

      See Also:
        Constant Field Values

    - #### C_ECHO_RSP

          public static final int C_ECHO_RSP

      See Also:
        Constant Field Values

    - #### N_EVENT_REPORT_RQ

          public static final int N_EVENT_REPORT_RQ

      See Also:
        Constant Field Values

    - #### N_EVENT_REPORT_RSP

          public static final int N_EVENT_REPORT_RSP

      See Also:
        Constant Field Values

    - #### N_GET_RQ

          public static final int N_GET_RQ

      See Also:
        Constant Field Values

    - #### N_GET_RSP

          public static final int N_GET_RSP

      See Also:
        Constant Field Values

    - #### N_SET_RQ

          public static final int N_SET_RQ

      See Also:
        Constant Field Values

    - #### N_SET_RSP

          public static final int N_SET_RSP

      See Also:
        Constant Field Values

    - #### N_ACTION_RQ

          public static final int N_ACTION_RQ

      See Also:
        Constant Field Values

    - #### N_ACTION_RSP

          public static final int N_ACTION_RSP

      See Also:
        Constant Field Values

    - #### N_CREATE_RQ

          public static final int N_CREATE_RQ

      See Also:
        Constant Field Values

    - #### N_CREATE_RSP

          public static final int N_CREATE_RSP

      See Also:
        Constant Field Values

    - #### N_DELETE_RQ

          public static final int N_DELETE_RQ

      See Also:
        Constant Field Values

    - #### N_DELETE_RSP

          public static final int N_DELETE_RSP

      See Also:
        Constant Field Values

    - #### C_CANCEL_RQ

          public static final int C_CANCEL_RQ

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MessageServiceElementCommand

          public MessageServiceElementCommand()

  - ### Method Detail

    - #### toString

          public static final java.lang.String toString​(int command)